Bug 1017685 - Gluster etc. should not be a dependency of vscclient and libcacard
Gluster etc. should not be a dependency of vscclient and libcacard
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 06:40 EDT by Paolo Bonzini
Modified: 2015-03-05 03:01 EST (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-67.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 03:01:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-10-10 06:40:37 EDT
libcacard is only needed to view guests, therefore there is no need to install gluster libraries for it to work.  However, libraries are included as a dependency for libcacard and vscclient.  It would be nice to fix this.
Comment 2 Miroslav Rezanina 2013-10-11 02:50:06 EDT
These are automatic dependencies generated by rpm - it found relation to this libraries so more investigation where the dependency come from is required.
Comment 3 Paolo Bonzini 2013-10-11 07:36:15 EDT
Yes, this is a configure/Makefile patch for QEMU.
Comment 4 Paolo Bonzini 2013-12-06 08:48:38 EST
Fam's modularization patches probably could help too.
Comment 5 Paolo Bonzini 2014-01-13 10:42:47 EST
RHEL6:

$ ldd /usr/lib64/libcacard.so
	linux-vdso.so.1 =>  (0x00007ffffe5ff000)
	libssl3.so => /usr/lib64/libssl3.so (0x0000003529400000)
	libsmime3.so => /usr/lib64/libsmime3.so (0x0000003529c00000)
	libnss3.so => /usr/lib64/libnss3.so (0x0000003529000000)
	libnssutil3.so => /usr/lib64/libnssutil3.so (0x0000003528400000)
	libplds4.so => /lib64/libplds4.so (0x0000003528800000)
	libplc4.so => /lib64/libplc4.so (0x0000003528000000)
	libnspr4.so => /lib64/libnspr4.so (0x0000003527c00000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x0000003519c00000)
	libdl.so.2 => /lib64/libdl.so.2 (0x000000351a000000)
	librt.so.1 => /lib64/librt.so.1 (0x000000351a800000)
	libc.so.6 => /lib64/libc.so.6 (0x0000003519400000)
	libz.so.1 => /lib64/libz.so.1 (0x000000351a400000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003519000000)
Comment 7 Paolo Bonzini 2014-01-13 12:00:42 EST
Patches posted upstream (patches 1-3 of the modules series v15).
Comment 9 Jeff Nelson 2014-08-08 12:55:10 EDT
Fix included in qemu-kvm-1.5.3-67.el7
Comment 11 mazhang 2014-10-10 04:30:02 EDT
Reproduce this bug on qemu-kvm-1.5.3-53.el7.x86_64.
Host:
qemu-kvm-tools-1.5.3-53.el7.x86_64
qemu-kvm-common-1.5.3-53.el7.x86_64
qemu-kvm-1.5.3-53.el7.x86_64
qemu-kvm-debuginfo-1.5.3-53.el7.x86_64
qemu-img-1.5.3-53.el7.x86_64
libcacard-devel-1.5.3-53.el7.x86_64
libcacard-1.5.3-53.el7.x86_64

[root@hp-dl385g7-01 ~]# ldd /usr/lib64/libcacard.so
	linux-vdso.so.1 =>  (0x00007fffa79d6000)
	librt.so.1 => /lib64/librt.so.1 (0x00007fd3ddd07000)
	libiscsi.so.2 => /usr/lib64/iscsi/libiscsi.so.2 (0x00007fd3ddae9000)
	libz.so.1 => /lib64/libz.so.1 (0x00007fd3dd8d2000)
	libgfapi.so.0 => /lib64/libgfapi.so.0 (0x00007fd3dd6ba000)   --> glusterfs
	libgfrpc.so.0 => /lib64/libgfrpc.so.0 (0x00007fd3dd4a1000)
	libgfxdr.so.0 => /lib64/libgfxdr.so.0 (0x00007fd3dd28a000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fd3dd085000)
	libaio.so.1 => /lib64/libaio.so.1 (0x00007fd3dce83000)
	libssl3.so => /lib64/libssl3.so (0x00007fd3dcc44000)
	libsmime3.so => /lib64/libsmime3.so (0x00007fd3dca1d000)
	libnss3.so => /lib64/libnss3.so (0x00007fd3dc6f8000)
	libnssutil3.so => /lib64/libnssutil3.so (0x00007fd3dc4cb000)
	libplds4.so => /lib64/libplds4.so (0x00007fd3dc2c7000)
	libplc4.so => /lib64/libplc4.so (0x00007fd3dc0c2000)
	libnspr4.so => /lib64/libnspr4.so (0x00007fd3dbe83000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fd3dbc67000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007fd3dba63000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fd3db860000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007fd3db65c000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fd3db329000)
	libc.so.6 => /lib64/libc.so.6 (0x00007fd3daf67000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fd3de13f000)
	libgcrypt.so.11 => /lib64/libgcrypt.so.11 (0x00007fd3dace8000)
	libglusterfs.so.0 => /lib64/libglusterfs.so.0 (0x00007fd3daa5f000) --> glusterfs
	libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00007fd3da677000)
	libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007fd3da472000)



Verify this bug on qemu-kvm-1.5.3-75.el7.x86_64.
Host:
qemu-kvm-common-1.5.3-75.el7.x86_64
qemu-kvm-1.5.3-75.el7.x86_64
qemu-img-1.5.3-75.el7.x86_64
qemu-kvm-tools-1.5.3-75.el7.x86_64
qemu-kvm-debuginfo-1.5.3-75.el7.x86_64
libcacard-devel-1.5.3-75.el7.x86_64
libcacard-1.5.3-75.el7.x86_64

[root@hp-dl385g7-01 ~]# ldd /usr/lib64/libcacard.so
	linux-vdso.so.1 =>  (0x00007fff415a4000)
	librt.so.1 => /lib64/librt.so.1 (0x00007fd1459f5000)
	libz.so.1 => /lib64/libz.so.1 (0x00007fd1457df000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fd1455d9000)
	libssl3.so => /lib64/libssl3.so (0x00007fd14539b000)
	libsmime3.so => /lib64/libsmime3.so (0x00007fd145174000)
	libnss3.so => /lib64/libnss3.so (0x00007fd144e4e000)
	libnssutil3.so => /lib64/libnssutil3.so (0x00007fd144c22000)
	libplds4.so => /lib64/libplds4.so (0x00007fd144a1e000)
	libplc4.so => /lib64/libplc4.so (0x00007fd144818000)
	libnspr4.so => /lib64/libnspr4.so (0x00007fd1445da000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fd1443be000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007fd1441b9000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fd143fb7000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007fd143db3000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fd143a7f000)
	libc.so.6 => /lib64/libc.so.6 (0x00007fd1436be000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fd145e2e000)


So this bug has been fixed.
Comment 12 mazhang 2014-10-11 05:57:43 EDT
This bug also passed on qemu-kvm-rhev-2.1.2-3.el7.

Host:
qemu-kvm-common-rhev-2.1.2-3.el7.x86_64
qemu-kvm-rhev-debuginfo-2.1.2-3.el7.x86_64
qemu-img-rhev-2.1.2-3.el7.x86_64
qemu-kvm-tools-rhev-2.1.2-3.el7.x86_64
qemu-kvm-rhev-2.1.2-3.el7.x86_64
libcacard-rhev-2.1.2-3.el7.x86_64
libcacard-devel-rhev-2.1.2-3.el7.x86_64

# ldd /usr/lib64/libcacard.so.0
	linux-vdso.so.1 =>  (0x00007fff7a7fe000)
	libssl3.so => /lib64/libssl3.so (0x00007f192c68d000)
	libsmime3.so => /lib64/libsmime3.so (0x00007f192c460000)
	libnss3.so => /lib64/libnss3.so (0x00007f192c119000)
	libnssutil3.so => /lib64/libnssutil3.so (0x00007f192beed000)
	libplds4.so => /lib64/libplds4.so (0x00007f192bce9000)
	libplc4.so => /lib64/libplc4.so (0x00007f192bae3000)
	libnspr4.so => /lib64/libnspr4.so (0x00007f192b8a5000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f192b689000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f192b484000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f192b182000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f192af7e000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f192ad7b000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f192aa52000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f192a84a000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f192a633000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f192a42e000)
	libgnutls.so.28 => /lib64/libgnutls.so.28 (0x00007f192a11e000)
	liblzo2.so.2 => /lib64/liblzo2.so.2 (0x00007f1929efc000)
	libsnappy.so.1 => /lib64/libsnappy.so.1 (0x00007f1929cf6000)
	libseccomp.so.2 => /lib64/libseccomp.so.2 (0x00007f1929adf000)
	librdmacm.so.1 => /lib64/librdmacm.so.1 (0x00007f19298ca000)
	libibverbs.so.1 => /lib64/libibverbs.so.1 (0x00007f19296b7000)
	libutil.so.1 => /lib64/libutil.so.1 (0x00007f19294b4000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f19290f2000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f192cae3000)
	libp11-kit.so.0 => /lib64/libp11-kit.so.0 (0x00007f1928ed0000)
	libtasn1.so.6 => /lib64/libtasn1.so.6 (0x00007f1928cbb000)
	libnettle.so.4 => /lib64/libnettle.so.4 (0x00007f1928a8a000)
	libhogweed.so.2 => /lib64/libhogweed.so.2 (0x00007f1928863000)
	libgmp.so.10 => /lib64/libgmp.so.10 (0x00007f19285eb000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f19282e4000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f19280ce000)
	libnl.so.1 => /lib64/libnl.so.1 (0x00007f1927e7a000)
	libfreebl3.so => /lib64/libfreebl3.so (0x00007f1927bfb000)
Comment 13 mazhang 2014-10-13 21:59:40 EDT
Base on comment#11 and comment#12 , set this bug verified.
Any problem please let me know.

Thanks,
Mazhang.
Comment 15 errata-xmlrpc 2015-03-05 03:01:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html

Note You need to log in before you can comment on or make changes to this bug.